For the complete documentation index, see llms.txt. This page is also available as Markdown.

Worktypes

Get worktypes

get
/worktypes/

This api is used to sync worktypes with WorkorderApp. Each worktype record can contain the following data:

Parameter
Description
Required
Type (size)

wrt_name

Name

Y

Varchar (255)

wrt_description

Description

Y

Varchar (255)

wrt_default_minutes

Default minutes used for planning

Y

Int (10)

wrt_active

Indicates if worktype is active

Y

Int (10)

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
tokenstringOptionalExample: {{client_token}}
software_tokenstringOptionalExample: {{software_token}}
Responses
200

Response_200

No content

get/worktypes/
GET /worktypes/ HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Response_200

No content

Add worktypes

post
/worktypes/

This api is used to sync worktypes with WorkorderApp. Each worktype record can contain the following data:

Parameter
Description
Required
Type (size)

wrt_name

Name

Y

Varchar (255)

wrt_description

Description

Y

Varchar (255)

wrt_default_minutes

Default minutes used for planning

Y

Int (10)

wrt_active

Indicates if worktype is active

Y

Int (10)

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
tokenstringOptionalExample: {{client_token}}
software_tokenstringOptionalExample: {{software_token}}
Responses
200

Response_200

No content

post/worktypes/
POST /worktypes/ HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Response_200

No content

Last updated

Was this helpful?